Bug 1487719 (CVE-2017-13776)

Summary: CVE-2017-13776 GraphicsMagick: Resource exhaustion in ReadXBMImage() in coders/xbm.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: andreas, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:23:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1475495, 1488444    
Bug Blocks:    

Description Pedro Sampaio 2017-09-01 17:36:02 UTC
GraphicsMagick 1.3.26 has a denial of service issue in ReadXBMImage()
in a coders/xbm.c "Read hex image data" version!=10 case that results
in the reader not returning; it would cause large amounts of CPU and
memory consumption although the crafted file itself does not request
it.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/233a720bfd5e

References:

http://openwall.com/lists/oss-security/2017/08/31/2

Comment 1 Andrej Nemec 2017-09-06 13:21:06 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1488444]

Comment 2 Andrej Nemec 2017-09-06 13:24:30 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1475495]

Comment 3 Product Security DevOps Team 2019-06-08 03:23:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.